<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__flash__storage__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_flash_storage_t</compoundname>
    <includes local="no">cy_ble.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__flash__storage__t_1a9dfff01dab4d8c21da8acd1d9364c906" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_flash_storage_t::stackFlashPtr</definition>
        <argsstring />
        <name>stackFlashPtr</name>
        <briefdescription>
<para>Bonding data storage. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="207" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="207" />
      </memberdef>
      <memberdef id="structcy__stc__ble__flash__storage__t_1a12ebd0bd2e8f709530ee6260488f592a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_flash_storage_t::stackFlashSize</definition>
        <argsstring />
        <name>stackFlashSize</name>
        <briefdescription>
<para>Pointer to bonding data storage in auxiliary flash. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="208" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="208" />
      </memberdef>
      <memberdef id="structcy__stc__ble__flash__storage__t_1a7fe49087cb83f502e8e699cfa25b8b86" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_flash_storage_t::cccdFlashPtr</definition>
        <argsstring />
        <name>cccdFlashPtr</name>
        <briefdescription>
<para>Buffer size in auxiliary flash. </para>        </briefdescription>
        <detaileddescription>
<para>CCCD data storage </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="211" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="211" />
      </memberdef>
      <memberdef id="structcy__stc__ble__flash__storage__t_1a3593f2ce1bcdcaa3b71d446c864c6f45" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_flash_storage_t::cccdRamPtr</definition>
        <argsstring />
        <name>cccdRamPtr</name>
        <briefdescription>
<para>Pointer to CCCD values storage in auxiliary flash. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="212" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="212" />
      </memberdef>
      <memberdef id="structcy__stc__ble__flash__storage__t_1a5e7953ea2da2f7b38f36138a024a61e3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_flash_storage_t::cccdCount</definition>
        <argsstring />
        <name>cccdCount</name>
        <briefdescription>
<para>Pointer to CCCD values storage in RAM. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="213" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="213" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure to store bonding data. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="215" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="204" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="205" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__flash__storage__t_1a5e7953ea2da2f7b38f36138a024a61e3" virt="non-virtual"><scope>cy_stc_ble_flash_storage_t</scope><name>cccdCount</name></member>
      <member prot="public" refid="structcy__stc__ble__flash__storage__t_1a7fe49087cb83f502e8e699cfa25b8b86" virt="non-virtual"><scope>cy_stc_ble_flash_storage_t</scope><name>cccdFlashPtr</name></member>
      <member prot="public" refid="structcy__stc__ble__flash__storage__t_1a3593f2ce1bcdcaa3b71d446c864c6f45" virt="non-virtual"><scope>cy_stc_ble_flash_storage_t</scope><name>cccdRamPtr</name></member>
      <member prot="public" refid="structcy__stc__ble__flash__storage__t_1a9dfff01dab4d8c21da8acd1d9364c906" virt="non-virtual"><scope>cy_stc_ble_flash_storage_t</scope><name>stackFlashPtr</name></member>
      <member prot="public" refid="structcy__stc__ble__flash__storage__t_1a12ebd0bd2e8f709530ee6260488f592a" virt="non-virtual"><scope>cy_stc_ble_flash_storage_t</scope><name>stackFlashSize</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>